> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversion Rate

> Get the conversion rate between two currencies. All withdrawal requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/banking/rate
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/banking/rate:
    get:
      tags:
        - Rates
      summary: Conversion Rate
      description: >-
        Get the conversion rate between two currencies. All withdrawal requests
        require approved KYC.
      parameters:
        - name: from
          in: query
          schema:
            type: string
            enum:
              - usd
              - usdt
              - usdc
              - eur
              - brl
              - ngn
          example: usdc
        - name: to
          in: query
          schema:
            type: string
            enum:
              - usd
              - usdt
              - usdc
              - eur
              - brl
              - ngn
          example: usd
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                from: usdc
                to: usd
                rate: 1
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                statusCode: 400
                message: Invalid currency
                error: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                statusCode: 401
                message: Unauthorized
                error: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                statusCode: 403
                message: Forbidden resource
                error: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              example:
                statusCode: 404
                message: Not Found
                error: Not Found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````